<?php

require '../system/start.php';
require '../system/functions.php';
if ($user['level'] == 3 || $user['level'] == 6) {
	$tid = int($_GET['tid']);
	$queryt = mysql_fetch_assoc(mysql_query("select * from `forum_topics` where `id` = ".$tid.""));
	$queryf = mysql_fetch_assoc(mysql_query("select * from `forum_forums` where `id` = ".$queryt['id_forum'].""));
	$str['mesto'] = 'Редактор тем';
	$str['block'] = $set['site'].' / <a href="index.php">Форум</a> / <a href="forum.php?id='.$queryf['id'].'">'.$queryf['title'].'</a> / <a href="topic.php=id'.$queryt['id'].'">'.$queryt['title'].'</a> / Редактор';
	include '../style/'.$style.'/head.php';
	if(empty($queryt['title']))
	{
		echo '<div class="forum1">Тема не найдена!</div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	switch($act)
	{
		default:
		echo '<div class="forum1">Выберите нужные действия в списке тем</div>';
		break;
		case 'top':
		if($queryt['position'] == 2)
		{
			mysql_query("UPDATE `forum_topics` SET `position` = 1 WHERE `id` = ".$queryt['id']."");
			echo '<div class="forum1">Тема успешно прикреплена!</div>';
		}
		else
		{
			mysql_query("UPDATE `forum_topics` SET `position` = 2 WHERE `id` = ".$queryt['id']."");
			echo '<div class="forum1">Тема успешно откреплена!</div>';
		}
		break;
		case 'delete':
		mysql_query("delete from `forum_topics` where `id` = ".$queryt['id']."");
		echo '<div class="forum1">Тема успешно удалена!</div>';
		break;
		case 'edit':
		if($queryt['status'] == 1)
		{
			$text = ':closed';
			mysql_query("UPDATE `forum_topics` SET `status` = 0 WHERE `id` = ".$queryt['id']."");
			mysql_query("INSERT INTO `forum_posts` (id_forum,id_topic,login,text,time) VALUES (".$queryf['id'].",".$queryt['id'].",'".$user['login']."','".$text."',".time().")");
			echo '<div class="forum1">Тема успешно закрыта!</div>';
		}
		else
		{
			mysql_query("UPDATE `forum_topics` SET `status` = 1 WHERE `id` = ".$queryt['id']."");
			echo '<div class="forum1">Тема успешно открыта!</div>';
		}
		break;
	}
} else {
	echo 'Нет доступа!';
}
include '../style/'.$style.'/foot.php';
?>